package org.springblade.flow.engine.enums;

/**
 * @author LoveMyOrange
 * @create 2021-09-29 14:18
 * @desc 流程设计器上都有哪些类型
 */
public enum FlowNodeTypeEnum {
    /**
     * 发起节点
     */
    START("start"),
    /**
     * 审批节点
     */
    APPROVER("approver"),
    /**
     * 意味着此时需要创建排他网关了
     */
    CONDITION("condition"),
    /**
     * 意味着此时需要创建并行网关了
     */
    INTERFLOW("interflow"),
    /**
     * 代表此时需要创建 receivTask了  定时器用接收任务代替
     */
    TIMER("timer"),
    /**
     * 子流程,使用callActivity
     */
    CALL_ACTIVITY("subFlow"),
    /**
     * 邮件节点使用 manualTask完成
     */
    MAIL("mail"),
    /**
     * 抄送节点使用 manualTask完成
     */
    COPY("copy"),
    /**
     *
     */
    SERVICE_TASK("serviceTask"),
    HTTP_TASK("httpTask"),
    SCRIPT_TASK("scriptTask"),
    SHELL_TASK("shellTask"),
    /**
     * 站内信节点,使用manualTask完成
     */
    ZHAN("zhan"),
    /**
     * 钉钉节点 使用manualTask完成
     */
    DING("ding"),
    /**
     * 微信节点 使用manualTask完成
     */
    WX("wx"),
    /**
     * 微信节点 使用manualTask完成
     */
    DX("dx");







    private String type;

    FlowNodeTypeEnum(String type) {
        this.type=type;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
